//
//  AdmobNetwork.h
//  SampleApp
//
//  Created by Subhendu Sekhar Sahu on 01/02/16.
//  Copyright © 2016 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"
@import GoogleMobileAds;

@interface RewardedAdMobAD : NSObject<PokktAdNetwork,GADRewardBasedVideoAdDelegate>
{
    
}

@property(nonatomic, strong) PokktNetworkModel *networkModel;
@property (nonatomic, retain) PokktAdConfig *adConfig;
@property (nonatomic, assign) BOOL isTimedout;
@property (nonatomic, retain) NSRecursiveLock *cacheLock;

@property (nonatomic, retain) NSMutableDictionary * adConfigDictionary;
@property (nonatomic, retain) NSMutableDictionary * rewardedAdDictionary;
@property (nonatomic, retain) NSMutableDictionary * timedoutDictionary;

@end

@interface InterstitialAdMobAd : NSObject<PokktAdNetwork,GADInterstitialDelegate>
{
    
}

@property(nonatomic, strong) PokktNetworkModel *networkModel;
@property (nonatomic, retain) PokktAdConfig *adConfig;
@property (nonatomic, assign) BOOL isTimedout;

@property (nonatomic, retain) NSMutableDictionary * adConfigDictionary;
@property (nonatomic, retain) NSMutableDictionary * interstitialDictionary;
@property (nonatomic, retain) NSMutableDictionary * timedoutDictionary;


@end

@interface AdMobBanner : NSObject<GADBannerViewDelegate,PokktAdNetwork>
{
    
}

@property (nonatomic, strong) PokktNetworkModel *networkModel;
@property (nonatomic, retain) PokktAdConfig *adConfig;
@property (nonatomic, assign) BOOL isTimedout;
@property (nonatomic, retain) UIViewController *rootViewController;
@property (nonatomic, retain) UIView *bannerParentView;
@property (nonatomic, retain) id<PokktBannerDelegate> bannerDelegate;

@end


@interface AdmobNetwork : NSObject<PokktAdNetwork, GADInterstitialDelegate>

@property (nonatomic, retain) PokktNetworkModel * networkModel;
@property (nonatomic, retain) RewardedAdMobAD * rewardedAd;
@property (nonatomic, retain) InterstitialAdMobAd * interstitialAd;
@property (nonatomic, retain) AdMobBanner * bannerAd;
@end


