//
//  FyberNetwork.h
//  SampleApp
//
//  Created by Pokkt on 13/11/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FyberSDK.h"
#import "PokktSDK/PokktAdNetwork.h"
#import "PokktSDK/PokktSDK.h"

@interface VideoFyberNetwork : NSObject <PokktAdNetwork, FYBRewardedVideoControllerDelegate, FYBVirtualCurrencyClientDelegate>

@property(nonatomic, strong) PokktNetworkModel *network;
@property (nonatomic, retain) FYBRewardedVideoController *rewardedViewController;
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property(nonatomic, strong) UIViewController *playerVC;
@property (nonatomic, assign) BOOL isVideoCached;
@property (nonatomic, assign) BOOL isTimedout;
@property (nonatomic, retain) NSString * currentScreenName;
@property (nonatomic, retain) NSRecursiveLock *cacheLock;

@end

@interface InterstitialFyberNetwork : NSObject <PokktAdNetwork, FYBInterstitialControllerDelegate>

@property(nonatomic, strong) PokktNetworkModel *network;
@property (nonatomic, retain) FYBInterstitialController *rewardedViewController;
@property (nonatomic, retain) PokktAdConfig * adConfig;
@property(nonatomic, strong) UIViewController *playerVC;
@property (nonatomic, assign) BOOL isInterstitialCached;
@property (nonatomic, assign) BOOL isTimedout;
@property (nonatomic, retain) NSString * currentScreenName;
@property (nonatomic, retain) NSRecursiveLock *cacheLock;

@end


@interface FyberNetwork : NSObject <PokktAdNetwork>

@property(nonatomic, strong) PokktNetworkModel *networkModel;
@property (nonatomic, retain) NSString * networkName;
@property (nonatomic, retain) VideoFyberNetwork* videoFyberNetwork;
@property (nonatomic, retain) InterstitialFyberNetwork *interstitialFyberNetwork;
@property (nonatomic, strong) UIView *bannerView;
@property (nonatomic, retain) id<PokktBannerDelegate> bannerDelegate;

@end

